
Summary:	Cross-platform Python spreadsheet application
Name:		pyspread
Version:	1.0.3
Release:	%mkrel 1
License:	GPLv3
Group:		Office/Spreadsheet
BuildArch:      noarch
URL:		http://manns.github.io/pyspread/
Source0:	https://files.pythonhosted.org/packages/source/p/pyspread/%{name}-%{version}.tar.gz
Source1:    pyspread.xpm
Patch0:     pyspread-1.0-mga-change_default_paths.patch
Patch1:     pyspread-1.0-debian-python_tutorial.patch
Patch2:     pyspread-0.4.3-mga-about_dialog_license.patch
BuildRequires:	python2-devel
BuildRequires:	pythonegg(2)(numpy)
BuildRequires:	pythonegg(2)(matplotlib)
BuildRequires:	pythonegg(2)(wxpython)
BuildRequires:	pythonegg(2)(python-gnupg)
Requires:	pythonegg(2)(numpy)
Requires:	pythonegg(2)(matplotlib)
Requires:	pythonegg(2)(wxpython)
Recommends:	pythonegg(2)(python-gnupg)

%description
Pyspread is a cross-platform Python spreadsheet application. Instead of
spreadsheet formulas, Python expressions are entered into the spreadsheet
cells. Each expression returns a Python object that can be accessed from
other cells. These objects can represent anything including lists or matrices.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%py2_build

%install
%define py2_install_option --install-lib=/usr/share/ --install-scripts=/usr/share/
%py2_install %{py2_install_option}

install -p -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm

rm -f %{buildroot}/%{_datadir}/%{name}/__init__.py*
rm -f %{buildroot}/%{_datadir}/*.egg-info
mv %{buildroot}/%{_datadir}/%{name}/locale %{buildroot}/%{_datadir}/
mkdir %{buildroot}/%{_bindir}
mv %{buildroot}/%{_datadir}/%{name}/%{name} %{buildroot}/%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pyspread
Comment=Python spreadsheet application
Exec=%{_bindir}/%{name}
Icon=%{name}
Type=Application
Categories=Office;Spreadsheet;Application;
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc pyspread/doc/help pyspread/examples
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_bindir}/%{name}
%{_datadir}/%{name}/




%changelog
* Fri May 27 2016 philippem <philippem> 1.0.3-1.mga6
+ Revision: 1018969
- update to 1.0.3

* Sat Feb 13 2016 philippem <philippem> 1.0.2-1.mga6
+ Revision: 959763
- update to 1.0.2

* Sun Nov 08 2015 philippem <philippem> 1.0-1.mga6
+ Revision: 898713
- update to 1.0

* Wed Sep 16 2015 philippem <philippem> 0.4.3-1.mga6
+ Revision: 879988
- update to 0.4.3, set as noarch

* Wed Oct 15 2014 umeabot <umeabot> 0.3.3-3.mga5
+ Revision: 741786
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.3-2.mga5
+ Revision: 687869
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Sep 07 2014 philippem <philippem> 0.3.3-1.mga5
+ Revision: 673214
- imported package pyspread

